<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="items"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="items?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small"
  >
    <thead>
    <tr>
      <th scope="col" class="text-nowrap text-center" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.effectiveDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.expirationDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.contractHisInfo.label.attributes.classifyName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.contractType' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.contractNumber' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.signer' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.signerPosition' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.fileAttach' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap text-center">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.fromDate }}</td>
      <td class="text-nowrap">{{ data?.toDate }}</td>
      <td class="text-nowrap">{{ data?.classifyName}}</td>
      <td class="text-nowrap">{{ data?.contractTypeName}}</td>
      <td class="text-nowrap">{{ data?.contractNumber }}</td>
      <td class="text-nowrap">{{ data?.signerName }}</td>
      <td class="text-nowrap">{{ data?.signerPosition }}</td>
      <td class="text-nowrap">
        <div *ngFor="let file of data.listFileAttach">
          <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
        </div>
      </td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
